=== debian/control ===
Source: ros-melodic-hfl-driver
Section: misc
Priority: optional
Maintainer: Evan Flynn <evan.flynn@continental.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-angles, ros-melodic-camera-info-manager, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-udp-com, ros-melodic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-hfl-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-angles, ros-melodic-camera-info-manager, ros-melodic-cv-bridge, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-runtime, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-udp-com, ros-melodic-visualization-msgs
Description: The hfl package
